LINUX.ORG.RU

Бета нового 2ГИС

 ,


0

1

2ГИС представляет бета-версию приложения для ноутбуков и компьютеров. Внешне она похожа на 2gis.ru, но работает офлайн на трех операционных системах — впервые на OS X и Linux, а также на Windows, как предыдущая версия.

Несмотря на повсеместное распространение интернета, ситуации, когда его нет, остаются. Медленное соединение, ограниченный доступ к Wi-Fi или полное отсутствие интернета не помешают найти места и выбрать организации. В новом приложении основные функции работают без подключения к Сети. Интернет нужен только для обновления данных, которые будут подгружаться автоматически в фоновом режиме.

Приложение имеет такой же интерфейс, как и 2gis.ru. Оно с полноценной картой, поиском, фотографиями, буклетами, входами в здания и отзывами о компаниях. Чуть позже мы добавим поиск маршрутов на автомобиле и общественном транспорте, сделаем линейку, встроим геолокацию, интегрируем Push to dial и все, чего еще не хватает.

>>> Подробности

anonymous

Проверено: maxcom ()

Интересно, как и старая офлайновая версия под винду, она будет через некоторое время отказываться запускаться, если обновления протухли? Актуальность, оно хорошо, но ситуация возникала в самый неподходящий момент.

h4tr3d ★★★★★ ()

Тугис красавцы. Взяли и запилили под линукс. Большинство компаний не то что не разрабатвает, даже не смотрит в сторону 1% хипстеров)

makoven ★★★★★ ()

Какое классное ностальгическое видео! Блин, а как устанавливать? Дело в том что у меня Opensuse. Распаковать DEB-ку? Перехожу по http://deb.2gis.ru/, а там - инструкция по установке, а не список файлов. Вот обидно! UPD: решил: http://deb.2gis.ru/pool/

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от Ceiling_QB

Лагает ещё до рендеринга карты. А при попытке загрузить её ошибка сегментирования. В gdb вообще не заускается.

mittorn ★★★★★ ()
Последнее исправление: mittorn (всего исправлений: 1)
Ответ на: комментарий от ZenitharChampion

Моя система полностью подходит, за исключением:

$ ldd 2gis | grep found
./2gis: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.19' not found (required by ./2gis)
./2gis: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.18' not found (required by ./2gis)

Решил этим способом. Предлагаю ребятам положить в lib файлы libgcc_s.so.1 и libstdc++.so.6, как это делает Icculus с играми, которые портирует. И да, спасибо большое что не используете убер-новый glibc! Вот бы ещё 2.14, и пользователи энтерпрайза (CentOS 6) сказали бы спасибо. Но устанавливать туда Qt 5.3 из SRPM-пакетов - большое мучение, поэтому не надо.

$ strings 2gis | grep LIBC
GLIBC_2.2.5
GLIBC_2.9
GLIBC_2.15
GLIBC_2.11
GLIBC_2.14
GLIBC_2.4
GLIBC_2.3.4
...
ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 4)
Ответ на: комментарий от dexpl

RPM есть?

[sanja@corsair 2gis]$ ls -1       
2gis_4.14.11-0trusty1+shv121+r169_amd64.deb
2gis-local-update-server_1.0-2_all.deb
[sanja@corsair 2gis]$ alien -r 2gis_4.14.11-0trusty1+shv121+r169_amd64.deb 
Warning: alien is not running as root!
Warning: Ownerships of files in the generated packages will probably be wrong.
Warning: Skipping conversion of scripts in package 2gis: postinst postrm
Warning: Use the --scripts parameter to include the scripts.
2gis-4.14.11-1.x86_64.rpm generated
[sanja@corsair 2gis]$ ls -1
2gis_4.14.11-0trusty1+shv121+r169_amd64.deb
2gis-4.14.11-1.x86_64.rpm
2gis-local-update-server_1.0-2_all.deb
[sanja@corsair 2gis]$ sudo yum localinstall 2gis-4.14.11-1.x86_64.rpm 
novitchok ★★★★★ ()

Когда-же они, наконец, Зеленоград добавят...

anonymous ()
Ответ на: комментарий от Dmitry_Sokolowsky

Несвободное, что ли? Ненужно

Уж новости мог бы своим жиром не заливать. Пользуюсь около 10 лет с момента появления, когда карт замкадья ни у кого не было в принципе. А альтернативных вменяемых бизнес-справочников до сих пор нет, ни швабодных, ни каких других. Йад сам найдешь.

Lordwind ★★★★★ ()
Ответ на: комментарий от emostar

Да, Киев нужен, но даже Симферополя нет, печаль

anonymous ()
Ответ на: комментарий от Citramonum

ГИС - геоинформационная система. Что не так?

anonymous ()

Только 64 бита (

Можно расходиться...

iLoveoOz ★★★★ ()

очень хорошо, вот теперь мне и wine ненужен будет.

bass ★★★★★ ()

Омские линуксоиды одобяют...

Но поздно, поздно, товарищи. Вот лет бы шесть назад, когда мы вам письма закидывали коллективно с просьбами портирования на GNU/Linux или открытия кода.

linuxmaster ★★★★ ()
Ответ на: комментарий от anonymous

у TV серверная часть - нативная
а гуй - вайнлиб, а не вайн

ubuntuawp ★★ ()
Ответ на: комментарий от salsergey

Так это и есть именно веб версия которую переделали в офлайн. Функционал тот же что и у веб версии и нет того что есть на винде. Нельзя строить маршруты. Только одно поле поиска, а не два (в винде можно указать название/рубрику и ограничить одним городом).

Веб версию перенесли в офлайн, до вин версии всё также далеко.

stitchix ()
Последнее исправление: stitchix (всего исправлений: 1)
Ответ на: комментарий от anonymous

Приведи пример хороших названий придуманных в твой стране

Катюша. Немцы помнят уже в 8 поколении.

anonymous ()
Ответ на: комментарий от novitchok

alien -r 2gis_4.14.11-0trusty1+shv121+r169_amd64.deb

Спасибо, конечно, но результат конвертации deb'а alien'ом — мягко говоря, так себе: в результирующий пакет зачем-то попадают /, /usr, /var и т. п. Да, я в курсе, что для deb'ов нормально начилие / в каждом пакете, но для rpm это ненормально. Лучше уж сказать что-то вроде dpkg-deb -x 2gis_4.14.11-0trusty1+shv121+r169_amd64.deb /usr/local и доставить qt5-qtwebkit.

Впрочем, как бы то ни было, результат запуска — сегфолт с руганью.

dexpl ★★★★★ ()
Ответ на: комментарий от dexpl

Поставь qt5 из репы. Должна быть 5.4.0_beta или выше. А из deb удали. Это отложит сегфолт до загрузки карты. Вообще qt5 слишком нестабилен пока (в плане ABI)

mittorn ★★★★★ ()
Ответ на: комментарий от hateyoufeel

Там карты только некоторых городов и пригородов России.

anonymous ()

Лёд ещё немного тронулся.) Хотя веб версия неполноценна.

Однако, я правильно понял, 64-bit only?

mos ★★☆☆☆ ()
Ответ на: комментарий от ZenitharChampion

Дело в том что у меня Opensuse

ССЗЧ. То есть Сам Себе Zenithar Champion.

another ★★★★★ ()
Ответ на: комментарий от mittorn

Спасибо, уже прочел советы выше (твой в том числе). Чтобы ничего не сегфолтилось, достаточно оказалось установить дистрибутивный qt5-qtwebkit скопировать usr/lib/2GIS/ в /usr/lib и файлы из usr/share в соответствующие каталоги в /usr/share, создать в /var/cache каталог 2GIS/v4/ и дать на него права 777. Правда, повторный запуск рисует белое окно, что лечится удалением содержимого /var/cache/2GIS/v4/

dexpl ★★★★★ ()
Ответ на: комментарий от te111011010

О да, дубльгису, как создателю бизнес-справочника, очень нужны рисовальщики тропинок и скамеек из опенстрипмапа.

anonymous ()

встроим геолокацию

Это надо было сделать первым делам, иначе сейчас это попросту атлас :)

dukzcry ()
Ответ на: комментарий от mittorn

говно в коде/реализации/конецепции - не повод для увеличения производительности оборудования.

Ну, можешь и дальше сидеть на своем пеньке 15-летней давности, только не надо называть современный софт и игры «говнокодом». Говно здесь только твое ведро с гайками.

anonymous ()
Ответ на: комментарий от hateyoufeel

2gis - это карты городов.

В веб-версии, кроме [некоторых] городов РФ есть ещё Одесса, Донецк и Днепропетровск. Что будет в десктопе, не знаю, но, думаю, что десктоп работает как интеллектуальный кэш к вебу

Коллег поздравляю. Теперь у них тоже есть возможность бороться с гуём линукса :)

AlexM ★★★★★ ()
Последнее исправление: AlexM (всего исправлений: 1)
Ответ на: комментарий от anonymous

Кстати, тропинки у них тоже есть, за что им отдельное спасибо!

AlexM ★★★★★ ()
Ответ на: комментарий от kknight

Там только deb для trusty. Вот что мешало сделать несколько сборок?

Экосистема линуха, не предназначенная для простого распространения программ


Дело-то плёвое

Да-да, завести билд-ферму на over 50 более-менее популярных дистрибутивови их подверсий - плевое дело.

Этерсофт несколько лет пилил свой билдсервер, а его сопровождением занимается отдельная команда.

ftp://ftp.etersoft.ru/pub/Etersoft/Postgre@Etersoft/stable/distro.list

И это только для того, чтобы пользователь мог установить программу на свой линух (если, конечно, повезет и дистр будет в списке поддерживаемых). Программисты Windows и MacOs смотрят на это с нескрываемым удивлением. У них-то все просто, в отличие от.

Xintrea ★★★★★ ()

Поставил на макакось, настроек нет никаких.

sT331h0rs3 ★★★★★ ()
Ответ на: комментарий от AlexM

В веб-версии, кроме [некоторых] городов РФ есть ещё Одесса, Донецк и Днепропетровск. Что будет в десктопе, не знаю, но, думаю, что десктоп работает как интеллектуальный кэш к вебу

То есть, сторонние карты подгрузить нельзя? OSM, Google Maps? Если нет, то это просто эпически бесполезная хрень.

hateyoufeel ★★★★★ ()
Ответ на: комментарий от anonymous

Графический движок: Unigine (Унижен). Русские делали.

anonymous ()
Ответ на: комментарий от hateyoufeel

В целом, это не картографическое приложение. Хотя карта [выбранного города] там тоже есть. Собственно, в комментариях уже промелькивало, что это такое.

AlexM ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.